# sample some pixels for bc test yday to keep it computationally in time

library(data.table)
library(raster)

zz_dat <- readRDS("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/rds/02_bc_test_month/CNRM-CERFACS-CNRM-CM5_CLMcom-CCLM4-8-17_rcp85_r1i1p1_v1_future.rds")

rr0 <- raster("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/nc_daily/modis_20d/modis_snc_55x132_2000-02-24.tif")

rcm_icell <- sort(unique(zz_dat$icell))

# 20min / icell
# 46h cpu time, 4 cores
# 21 rcm gcm
46*4*3 / 21
# -> ~ 26 pixels

set.seed(1234)
icell_sample <- sample(rcm_icell, 26)

rr0[icell_sample] <- 100
plot(rr0)

saveRDS(icell_sample, "/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/rds/sample-pixels-for-test-yday.rds")

