# make raster layer id scf th quality

library(data.table)
library(magrittr)
library(raster)


rr1 <- raster("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/ds/scf_threshold/scf_cp50_v02_monotonic.tif")
rr2 <- raster("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/ds/scf_threshold/scf_cp50_v03_imputed_similar.tif")
rr3 <- raster("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/ds/scf_threshold/scf_cp50_v04_imputed_alt.tif")

rr_out <- raster(rr1)

rr_out[!is.na(rr3)] <- 3L
rr_out[!is.na(rr2)] <- 2L
rr_out[!is.na(rr1)] <- 1L

writeRaster(rr_out,
            "/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/ds/scf_threshold/scf_cp50_v05_impute_level.tif")
