# reproject rofental dem to modis crs

library(raster)
library(mapview)

rr_rofental <- raster("data-aux/rofental/dgm_50m.tif")
rr_rofental
plot(rr_rofental)

rr_modis <- raster("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/ds/cp/cp_10bins.tif")
rr_modis

# keep original resolution
#rr_rofental_prj <- projectRaster(rr_rofental, crs = crs(rr_modis))

# modis resolution
rr_rofental_prj <- projectRaster(rr_rofental, rr_modis, alignOnly = T)
rr_rofental_prj
rr_rofental_prj[] <- 0

# plot(rr_rofental_prj)

# mapview(rr_rofental_prj)+mapview(rr_rofental)

writeRaster(rr_rofental_prj, "data/rofental_modis_laea.tif")


