# compare metrics of past downscale

library(data.table)
library(magrittr)
# library(raster)
# library(stars)
library(ggplot2)
# library(fs)
library(foreach)

dat1 <- readRDS("/mnt/CEPH_PROJECTS/CLIRSNOW/data_bc/rds/ds/metrics-past.rds")



dat1[experiment == "rcp85"] %>% 
  ggplot(aes(bias_past, institute_rcm, colour = factor(th_level)))+
  geom_point()+
  facet_grid(bc_var ~ .)

dat1[experiment == "rcp85"] %>% 
  ggplot(aes(mae_past, institute_rcm, colour = factor(th_level)))+
  geom_point()+
  facet_grid(bc_var ~ .)


# numbers for paper -------------------------------------------------------



dat1[institute_rcm != "IPSL-INERIS-WRF331F" & th_level == 0] %>% 
  split(by = "bc_var") %>% 
  lapply(summary)
