# creates a rectangular neighborhood matrix to be used
# in raster::adjacent()
# with width == height == 2*k+1 cells
create_mat_neigh <- function(k){
  
  nr <- nc <- 2*k + 1
  ntot <- nr*nc
  
  matrix(c(rep(1, (ntot-1)/2), 0, rep(1, (ntot-1)/2)),
         nrow = nr,
         ncol = nc)
  
}
